WHATIS(1)

NAVN
whatis - vis beskrivelser på en linje for manualsider

SYNOPSIS
whatis [-dlv?V] [-r|-w] [-s liste] [-m system[,...]] [-M sti] [-L sted] [-C fil] navn ...

BESKRIVELSE
Hver manualside her en kort beskrivelse tilgængelig i sig. whatis søger i manualsidenavnene og viser manualsidebeskrivelserne for alle matchede navn. navn kan indeholder jokertegn (-w) eller være et regulært udtryk (-r). Ved brug af disse tilvalg kan det være nødvendig at placere navn i citattegn eller undvige (\) de specielle tegn for at forhindre at skallen fortolker dem. index databases are used during the search, and are updated by the mandb program. Depending on your installation, this may be run by a periodic cron job, or may need to be run manually after new manual pages have been installed. To produce an old style text whatis database from the relative index database, issue the command: whatis -M manualside -w '*' | sort > manualside/whatis hvor manualside er et manualsidehierarki såsom /usr/man.

TILVALG

-d, --debug
    Vis fejlsøgningsinformation.

-v, --verbose
    Vis uddybende advarsler.

-r, --regex
    Fortolk hvert navn som et regulært udtryk. Hvis et navn matcher en del af et sidenavn, så vil et match bliver udført. Dette tilvalg gør at whatis er lidt langsommere på grund af naturen i databasesøgninger.

-w, --wildcard
    Interpret each name as a pattern containing shell style wildcards. For a match to be made, an expanded name must match the entire page name. This option causes whatis to be somewhat slower due to the nature of database searches.

-l, --long
    Tilpas ikke resultatet til terminalbredden. Normalt vil resultatet blive forkortet til terminalbredden for at undgå grimme resultater fra dårligt skrevet NAVN-afsnit.

-s list, --sections=list, --section=list
    Søg kun i de angivne manualafsnit. liste er en kolon- eller kommaadskilt liste af afsnit. Hvis et punkt i liste er et simpelt afsnit, for eksempel »3«, så vil den viste beskrivelsesliste inkludere sider i afsnit »3«, »3perl«, »3x« og så videre; mens at hvis et punkt i liste har en udvidelse, for eksempel »3perl«, så vil listen kun inkludere sider i den præcise del af manualafsnittet.

-m system[,...], --systems=system[,...]
    If this system has access to other operating systems' manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS. The system specified can be a combination of comma delimited operating system names. To include a search of the native operating system's manual page names, include the system name man in the argument string. This option will override the $SYSTEM environment variable.

-M sti, --manpath=sti
    Angiv et alternativt sæt af kolonafgrænsede manualsidehierarkier at søge i. Som standard bruger whatis miljøvariablen $MANPATH, med mindre at den er tom eller uangivet, i hvilket tilfælde den vil bestemme en passende manualsti baseret på din miljøvariabel $PATH. Dette tilvalg tilsidesætter indholdet af $MANPATH.

-L sprog, --locale=sprog
    whatis vil normalt bestemme dit lokale sprog med et kald til C-funktionen setlocale(3), som undersøger diverse miljøvariabler, muligvis inklusive $LC_MESSAGES og $LANG. For midlertidigt at overskrive den afslørede værdi bruges dette tilvalg til at supplere en sprog-streng direkte til whatis. Bemærk at det ikke vil træde i kraft før søgningen efter sider rent faktisk begynder. Resultatet såsom hjælpebeskeden vil altid blive vist i det oprindeligt bestemte sprog.

-C fil, --config-file=fil
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Vis en hjælpebesked og afslut.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionsinformation.

AFSLUT-STATUS

0   Programkørsel endt uden fejl.

1   Brugs-, syntaks- eller konfigurationsfilfejl.

2   Operationel fejl.

16  Intet blev fundet som matchede de angivne kriterier.

MILJØ

SYSTEM
    Hvis $SYSTEM er angivet, vil det have den samme effekt, som hvis den var blevet angivet som argument for tilvalget -m.

MANPATH
    Hvis $MANPATH er angivet, dets værdi er fortolket som den kolonafgrænsede manualsides hierarkisøgesti at anvende. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

FILER

/usr/share/man/index.(bt|db|dir|pag)
    Et traditionelt globalt index-databasemellemlager.

/var/cache/man/index.(bt|db|dir|pag)
    Et FHS-overholdende globalt index-databasemellemlager.

/usr/share/man/.../whatis
    En traditionel whatis-tekstdatabase.

SE OGSÅ
apropos(1), man(1), mandb(8)

FORFATTER
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

FEJL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db